FAQ
===

## What happens when duplicates are detected across different backends?

There is a default precedence defined for each backend. This should be defined
so that the backend with highest precedence is the backend that should contain
the most precise information usually.

When deduplicating, the post from the backend with the highest precedence is
kept and missing info is taken from the duplicate posts (precedence is used so
that in case of conflicts in a field, the data from the backend with highest
precedence is used). This post contains as much data as possible, and includes
references to all the other "duplicate" posts. These latter duplicate posts
are then simply marked as such and never shown anymore.

All origins are kept in a `urls` field in the remaining post.


## Flatisfy seems to be stuck fetching posts

Fetching posts can be a long process, depending on your criterias. Run the
import command with `-v` argument to get a more verbose output and check
things are indeed happening. If fetching the flats is still too long, try to
set `max_entries` in your config to limit the number of posts fetched.


## Docker image does not start the webserver at first start?

When you launch the Docker image, it first updates WebOOB and fetches the
housing posts matching your criterias. The webserver is only started once this
is done. As fetching housing posts can take a bit of time (up to 10 minutes),
the webserver will not be available right away.

Once everything is ready, you should see a log message in the console running
the Docker image, confirming you that webserver is up and running.
